## lxqt-panel 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-panel)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
# plugin-mainmenu
option(USE_MENU_CACHE "Use menu-cached (no noticeable penalty even on a 2004 single core pentium if not used)" OFF)


# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION "5.15.0")
set(KF5_MINIMUM_VERSION "5.101.0")
set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.4.0")
set(LXQT_MINIMUM_VERSION "1.4.0")

find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)

# Patch Version
set(LXQT_PANEL_PATCH_VERSION 0)
set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtTranslate)

# All LXQtCompilerSettings except CMAKE_MODULE_LINKER_FLAGS work just fine
# So we reset only these Flags after loading LXQtCompilerSettings
# lxqt-build-tools:
#  set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined ${SYMBOLIC_FLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "==OLD== CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS}")
set( OLD_CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
include(LXQtCompilerSettings NO_POLICY_SCOPE)
set(CMAKE_MODULE_LINKER_FLAGS "${OLD_CMAKE_MODULE_LINKER_FLAGS} ${SYMBOLIC_FLAGS}")

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
add_definitions(
    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
)

message(STATUS "CMAKE Module linker flags: ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################
# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DWORLDCLOCK_PLUGIN=Yes .. # Enable worldclock plugin
#    cmake -DWORLDCLOCK_PLUGIN=No ..  # Disable worldclock plugin

include("cmake/BuildPlugin.cmake")

set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins

setByDefault(COLORPICKER_PLUGIN Yes)
if(COLORPICKER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Color Picker")
    add_subdirectory(plugin-colorpicker)
endif()

setByDefault(CPULOAD_PLUGIN Yes)
if(CPULOAD_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "CPU Load plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Cpu Load")
    add_subdirectory(plugin-cpuload)
endif()

setByDefault(CUSTOMCOMMAND_PLUGIN Yes)
if(CUSTOMCOMMAND_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Custom Command")
    add_subdirectory(plugin-customcommand)
endif()

setByDefault(DIRECTORYMENU_PLUGIN Yes)
if(DIRECTORYMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Directory menu")
    add_subdirectory(plugin-directorymenu)
endif()

setByDefault(DOM_PLUGIN Yes)
if(DOM_PLUGIN)
    list(APPEND ENABLED_PLUGINS "DOM")
    add_subdirectory(plugin-dom)
endif(DOM_PLUGIN)

setByDefault(DESKTOPSWITCH_PLUGIN Yes)
if(DESKTOPSWITCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "desktopswitch")
    add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Desktop Switcher")
    add_subdirectory(plugin-desktopswitch)
endif()

setByDefault(KBINDICATOR_PLUGIN Yes)
if(KBINDICATOR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Keyboard Indicator")
    add_subdirectory(plugin-kbindicator)
endif(KBINDICATOR_PLUGIN)

setByDefault(MAINMENU_PLUGIN Yes)
if(MAINMENU_PLUGIN)
    list(APPEND STATIC_PLUGINS "mainmenu")
    add_definitions(-DWITH_MAINMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Application menu")
    add_subdirectory(plugin-mainmenu)
endif()

setByDefault(MOUNT_PLUGIN Yes)
if(MOUNT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Mount")
    add_subdirectory(plugin-mount)
endif(MOUNT_PLUGIN)

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()

setByDefault(SENSORS_PLUGIN Yes)
if(SENSORS_PLUGIN)
    find_library(SENSORS_LIB sensors)

    if(NOT SENSORS_LIB)
        message(FATAL_ERROR "Sensors plugin requires libsensors")
    endif()
    list(APPEND ENABLED_PLUGINS "Sensors")
    add_subdirectory(plugin-sensors)
endif()

setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()

setByDefault(QEYES_PLUGIN Yes)
if(QEYES_PLUGIN)
    list(APPEND ENABLED_PLUGINS "QEyes")
    add_subdirectory(plugin-qeyes)
endif()


setByDefault(NETWORKMONITOR_PLUGIN Yes)
if(NETWORKMONITOR_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "Network Monitor plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Network Monitor")
    add_subdirectory(plugin-networkmonitor)
endif()

setByDefault(SYSSTAT_PLUGIN Yes)
if(SYSSTAT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Stats")
    add_subdirectory(plugin-sysstat)
endif(SYSSTAT_PLUGIN)

setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()

setByDefault(STATUSNOTIFIER_PLUGIN Yes)
if(STATUSNOTIFIER_PLUGIN)
    list(APPEND STATIC_PLUGINS "statusnotifier")
    add_definitions(-DWITH_STATUSNOTIFIER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Status Notifier")
    add_subdirectory(plugin-statusnotifier)
endif()

setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

setByDefault(VOLUME_PLUGIN Yes)
setByDefault(VOLUME_USE_PULSEAUDIO Yes)
setByDefault(VOLUME_USE_ALSA Yes)
if(VOLUME_PLUGIN)
    if (VOLUME_USE_PULSEAUDIO)
        find_package(PulseAudio)
        if (NOT PULSEAUDIO_FOUND)
            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
        endif ()
    endif(VOLUME_USE_PULSEAUDIO)

    if(VOLUME_USE_ALSA)
        find_package(ALSA)
        if (NOT ALSA_FOUND)
            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
        endif ()
    endif()

    list(APPEND ENABLED_PLUGINS   "Volume")
    message(STATUS "")
    message(STATUS "Volume plugin will be built")
    message(STATUS "    ALSA: ${ALSA_FOUND}")
    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
    message(STATUS "")
    add_subdirectory(plugin-volume)
endif()

setByDefault(WORLDCLOCK_PLUGIN Yes)
if(WORLDCLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "worldclock")
    add_definitions(-DWITH_WORLDCLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "World Clock")
    add_subdirectory(plugin-worldclock)
endif(WORLDCLOCK_PLUGIN)

setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

setByDefault(BACKLIGHT_PLUGIN Yes)
if(BACKLIGHT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Backlight")
    add_subdirectory(plugin-backlight)
endif()

#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

# merged from lxqt-common
add_subdirectory(autostart)

=== plugin-colorpicker/CMakeLists.txt ===
set(PLUGIN "colorpicker")

set(HEADERS
    colorpicker.h
    colorbutton.h
)

set(SOURCES
    colorpicker.cpp
    colorbutton.cpp
)

set(UIS "")

set(LIBRARIES
    lxqt
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-customcommand/CMakeLists.txt ===
set(PLUGIN "customcommand")

set(HEADERS
    lxqtcustomcommand.h
    custombutton.h
    lxqtcustomcommandconfiguration.h
)

set(SOURCES
    ${PROJECT_SOURCE_DIR}/panel/lxqtpanelpluginconfigdialog.cpp
    lxqtcustomcommand.cpp
    custombutton.cpp
    lxqtcustomcommandconfiguration.cpp
)

set(UIS
    lxqtcustomcommandconfiguration.ui
)

set(LIBRARIES
    Qt5Xdg
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-directorymenu/CMakeLists.txt ===
set(PLUGIN "directorymenu")

set(HEADERS
    directorymenu.h
    directorymenuconfiguration.h
)

set(SOURCES
    directorymenu.cpp
    directorymenuconfiguration.cpp
)

set(UIS
    directorymenuconfiguration.ui
)

set(LIBRARIES
    ${LIBRARIES}
    Qt5Xdg
)

include ("../cmake/BuildPlugin.cmake")
BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-kbindicator/CMakeLists.txt ===
set(PLUGIN "kbindicator")

set(HEADERS
    src/kbdstate.h
    src/settings.h
    src/content.h
    src/kbdlayout.h
    src/kbdinfo.h
    src/kbdkeeper.h
    src/kbdwatcher.h
    src/controls.h
    src/kbdstateconfig.h
)

set(SOURCES
    kbindicator-plugin.cpp
    src/kbdstate.cpp
    src/settings.cpp
    src/content.cpp
    src/kbdkeeper.cpp
    src/kbdwatcher.cpp
    src/kbdstateconfig.cpp
)

set(UIS
    src/kbdstateconfig.ui
)

set(LIBRARIES
)

find_package(XCB REQUIRED COMPONENTS xcb xcb-xkb)
find_package(XKBCommon REQUIRED COMPONENTS XKBCommon X11)
find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS X11Extras Xml)

include_directories(${XCB_INCLUDE_DIRS})

set(HEADERS
    ${HEADERS}
    src/x11/kbdlayout.h
)

set(SOURCES
    ${SOURCES}
    src/x11/kbdlayout.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    ${XCB_LIBRARIES}
    XKBCommon::XKBCommon
    XKBCommon::X11
    Qt5::Xml
)

add_definitions(-DX11_ENABLED)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")


find_package(dbusmenu-qt5 REQUIRED)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Concurrent)

set(HEADERS
    statusnotifier.h
    statusnotifierconfiguration.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
    statusnotifierwidget.h
    sniasync.h
    statusnotifierproxy.h
)

set(SOURCES
    statusnotifier.cpp
    statusnotifierconfiguration.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
    statusnotifierwidget.cpp
    sniasync.cpp
    statusnotifierproxy.cpp
)

set(UIS
    statusnotifierconfiguration.ui
)

qt5_add_dbus_adaptor(DBUS_SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

list(APPEND SOURCES "${DBUS_SOURCES}")

set(LIBRARIES
    dbusmenu-qt5
    Qt5::Concurrent
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078298)
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 20:45:56 +0800

lxqt-panel (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release (Closes: #1071145, #1071146).
  * Bump Standards-Version to 4.7.0.
  * d/control: Add Build-Depends lxqt-menu-data.

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui1-dev (>= 1.4.0~).
  * debian/control: improve package descriptions.
  * Clean up of group membership after two calls.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 19 May 2024 13:36:09 +0200

lxqt-panel (1.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/upstream/metadata.
  * Update Build-Depends:
    * Change libxcb-util0-dev to libxcb-util-dev.
  * Suppress blhc error.

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 26 Aug 2023 05:54:32 +0200

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               liblxqt-globalkeys1-dev (>= 1.4.0~),
               liblxqt-globalkeys-ui1-dev (>= 1.4.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.6~),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev,
               lxqt-menu-data,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-policykit
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 This package includes the LXQt panel, which serves as the desktop panel
 for the LXQt desktop environment. It provides a user-friendly interface
 and quick access to applications and system functions.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-panel
 This package contains the localization files required for the LXQt
 panel, ensuring a seamless user experience in various languages.

## lxqt-panel 2.0.1

=== debian/changelog ===
lxqt-panel (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Dropped trim-custom-commands-prevent-crash.patch, applied upstream.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:25:54 -0500

lxqt-panel (1.4.0-0ubuntu2) noble; urgency=medium

  * Apply upstream patch fixing a crash on a custom command.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Dec 2023 16:40:34 -0600

lxqt-panel (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fixed copyright file.
  * Bumped build dependency versions.
  * Added lxqt-menu-data as a build dependency.
  * Removed no-longer-existing directory from lxqt-panel.install.
  * Move a README file for qeyes-types to the proper documentation directory.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Mon, 13 Nov 2023 11:34:09 -0600

lxqt-panel (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Fix some build dependencies that were renamed.
  * Remove redundant hardening rule.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 12:49:49 -0500

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               layer-shell-qt,
               libasound2-dev,
               libdbusmenu-lxqt0-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf6solid-dev,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev,
               liblxqt-globalkeys-ui2-dev (>= 2.0.0),
               liblxqt-globalkeys2-dev (>= 2.0.0),
               liblxqt2-dev (>= 2.0.0),
               libpulse-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt6-1-dev (>= 1.0.0),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev,
               lxqt-menu-data (>= 2.0.0),
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-panel-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-panel-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contains the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-panel
 The l10n files for lxqt-panel.
 .
 This package contains the l10n files needed by lxqt-panel.

## lxqt-panel 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -29,20 +29,21 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION "5.15.0")
-set(KF5_MINIMUM_VERSION "5.101.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.4.0")
-set(LXQT_MINIMUM_VERSION "1.4.0")
-
-find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+set(REQUIRED_QT_VERSION "6.6.0")
+set(KF6_MINIMUM_VERSION "6.0.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
+
+find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(Qt6Widgets ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(Qt6Xml ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)
+
+find_package(LayerShellQt REQUIRED)
 
 # Patch Version
 set(LXQT_PANEL_PATCH_VERSION 0)
@@ -122,6 +123,14 @@
     add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
     list(APPEND ENABLED_PLUGINS "Desktop Switcher")
     add_subdirectory(plugin-desktopswitch)
+endif()
+
+setByDefault(FANCYMENU_PLUGIN Yes)
+if(FANCYMENU_PLUGIN)
+    list(APPEND STATIC_PLUGINS "fancymenu")
+    add_definitions(-DWITH_FANCYMENU_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "Application fancy menu")
+    add_subdirectory(plugin-fancymenu)
 endif()
 
 setByDefault(KBINDICATOR_PLUGIN Yes)

=== autostart/CMakeLists.txt ===
set(AUTOSTART_DESKTOP_FILES_IN lxqt-panel.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${AUTOSTART_DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(lxqt_panel_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

configure_file(lxqt-panel_wayland.desktop.in lxqt-panel_wayland.desktop @ONLY)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/lxqt-panel_wayland.desktop"
    DESTINATION "/usr/share/applications"
    RENAME "lxqt-panel.desktop"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-panel (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:57:39 -0600

lxqt-panel (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:51 -0600

## lxqt-panel 2.1.3

=== debian/changelog ===
lxqt-panel (2.1.3-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.3.
  * build-deps on liblayershellqtinterface-dev (>= 6.2.4~).
  * build-deps on liblxqt-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-ui-dev (>= 2.1.0~).
  * build-deps on libsysstat-qt6-1-dev (>= 1.1.0~).

  [ ChangZhuo Chen (陳昌倬) ]
  * d/control: Add Macy to Uploaders
  * d/control: Add missing Build-Depends
  * d/install: Add usr/share/applications/lxqt-panel.desktop

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 11 Dec 2024 16:23:42 +0800

lxqt-panel (2.0.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:19:07 +0100

lxqt-panel (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.1
  * debian/control: bump dep on qttranslations5-l10n ->
    qt6-translations-l10n
  * debian/control: replace dep on lxmenu-data with lxqt-menu-data
  * debian/control: bump dep on libsysstat-qt5-0-dev -> libsysstat-
    qt6-1-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: bump dep to liblxqt-globalkeys-dev (>= 2.0.0~)
  * debian/control: bump dep to liblxqt-globalkeys-ui-dev (>= 2.0.0~)
  * debian/control: replace dep libdbusmenu-qt5-dev -> libdbusmenu-lxqt-
    dev
  * debian/control: bump dep libkf5windowsystem-dev -> libkf6windowsystem-
    dev
  * debian/control: bump dep libkf5solid-dev -> libkf6solid-dev
  * debian/control: bump dep libqt5svg5-dev -> qt6-svg-dev
  * debian/control: remove dependency on libqt5x11extras5-dev
  * debian/control: add dep on liblayershellqtinterface-dev (>=6.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps liblxqt-dev (>= 2.0.0~).
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 07 Oct 2024 19:48:14 +0200

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-lxqt-dev,
               libicu-dev,
               libkf6solid-dev,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.2.4~),
               liblxqt-dev (>= 2.1.0~),
               liblxqt-globalkeys-dev (>= 2.1.0~),
               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
               libpulse-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt6-1-dev (>= 1.1.0~),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev,
               lxqt-menu-data,
               qt6-base-private-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: lxqt-menu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 This package includes the LXQt panel, which serves as the desktop panel
 for the LXQt desktop environment. It provides a user-friendly interface
 and quick access to applications and system functions.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-panel
 This package contains the localization files required for the LXQt
 panel, ensuring a seamless user experience in various languages.

## lxqt-panel 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 find_package(LayerShellQt REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 0)
+set(LXQT_PANEL_PATCH_VERSION 4)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

=== plugin-customcommand/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 )
 
 set(LIBRARIES
-    Qt5Xdg
+    Qt6Xdg
 )
 
 BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-fancymenu/CMakeLists.txt ===
set(PLUGIN "fancymenu")

set(HEADERS
    lxqtfancymenu.h
    lxqtfancymenuconfiguration.h
    lxqtfancymenuwindow.h
    lxqtfancymenuappmap.h
    lxqtfancymenuappmodel.h
    lxqtfancymenucategoriesmodel.h
    lxqtfancymenutypes.h
)

set(SOURCES
    lxqtfancymenu.cpp
    lxqtfancymenuconfiguration.cpp
    lxqtfancymenuwindow.cpp
    lxqtfancymenuappmap.cpp
    lxqtfancymenuappmodel.cpp
    lxqtfancymenucategoriesmodel.cpp
)

set(UIS
    lxqtfancymenuconfiguration.ui
)


# optionally use libmenu-cache to generate the application menu
if(USE_MENU_CACHE)
    find_package(MenuCache "0.3.3")
endif()

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
)

if(MENUCACHE_FOUND)
    list(APPEND SOURCES xdgcachedmenu.cpp)
    list(APPEND MOCS xdgcachedmenu.h)

    include_directories(${MENUCACHE_INCLUDE_DIRS})
    list(APPEND LIBRARIES ${MENUCACHE_LIBRARIES})
    add_definitions(-DHAVE_MENU_CACHE=1)

endif()


set(QT_USE_QTXML 1)
set(QT_USE_QTDBUS 1)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-quicklaunch/CMakeLists.txt ===
set(PLUGIN "quicklaunch")

set(HEADERS
    lxqtquicklaunchplugin.h
    lxqtquicklaunch.h
    quicklaunchbutton.h
    quicklaunchaction.h
)

set(SOURCES
    lxqtquicklaunchplugin.cpp
    lxqtquicklaunch.cpp
    quicklaunchbutton.cpp
    quicklaunchaction.cpp
)

set(LIBRARIES
    Qt6Xdg
)

include_directories(
    ${LXQT_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== panel/backends/wayland/CMakeLists.txt ===
add_subdirectory(kwin_wayland)
add_subdirectory(wlroots)

=== panel/backends/wayland/wlroots/CMakeLists.txt ===
set(PLATFORM_NAME wlroots)

set(PREFIX_NAME wmbackend)
set(PROGRAM "lxqt-panel")
set(BACKEND "backend")
set(NAME ${PREFIX_NAME}_${PLATFORM_NAME})
project(${PROGRAM}_${BACKEND}_${NAME})

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS WaylandClient Concurrent)
find_package(Qt6Xdg)

set(PROG_SHARE_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROGRAM}/${BACKEND})
set(PLUGIN_SHARE_DIR ${PROG_SHARE_DIR}/${BACKEND}/${NAME})
#************************************************

if (NOT DEFINED PLUGIN_DIR)
    set (PLUGIN_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/${PROGRAM})
endif (NOT DEFINED PLUGIN_DIR)

set(QTX_LIBRARIES Qt6::Gui Qt6::GuiPrivate)

set(
    SRC
    lxqtwmbackend_wlr.cpp lxqtwmbackend_wlr.h
    lxqttaskbarwlrwm.cpp lxqttaskbarwlrwm.h
)

add_library(${NAME} MODULE ${SRC}) # build dynamically loadable modules
install(TARGETS ${NAME} DESTINATION ${PLUGIN_DIR}/${BACKEND}) # install the *.so file

target_link_libraries(${NAME} ${QTX_LIBRARIES} Qt6::Concurrent Qt6::WaylandClient Qt6Xdg)

qt6_generate_wayland_protocol_client_sources(${NAME} FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/wlr-foreign-toplevel-management-unstable-v1.xml
)

=== debian/changelog ===
lxqt-panel (2.1.4-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.4
  * debian/control: remove  myself from the list of uploaders.
  * debian/copyright: update.

  [ Andrew Lee (李健秋) ]
  * 01-lxqt-panel-desktop.patch: fix missing required key entries.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 11:38:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Macy Lin <macy@debconf.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## lxqt-panel 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
-# plugin-mainmenu
-option(USE_MENU_CACHE "Use menu-cached (no noticeable penalty even on a 2004 single core pentium if not used)" OFF)
-
 
 # additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -31,8 +28,8 @@
 
 set(REQUIRED_QT_VERSION "6.6.0")
 set(KF6_MINIMUM_VERSION "6.0.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.1.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.2.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt6LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -46,7 +43,7 @@
 find_package(LayerShellQt REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 4)
+set(LXQT_PANEL_PATCH_VERSION 2)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install(FILES
     "${CMAKE_CURRENT_BINARY_DIR}/lxqt-panel_wayland.desktop"
-    DESTINATION "/usr/share/applications"
+    DESTINATION "${LXQT_DATA_DIR}/applications"
     RENAME "lxqt-panel.desktop"
     COMPONENT Runtime
 )

=== panel/CMakeLists.txt ===
set(PROJECT lxqt-panel)

# Window Manager backends
add_subdirectory(backends)

set(PRIV_HEADERS
    panelpluginsmodel.h
    windownotifier.h
    lxqtpanel.h
    lxqtpanelapplication.h
    lxqtpanelapplication_p.h
    lxqtpanellayout.h
    plugin.h
    pluginsettings_p.h
    lxqtpanellimits.h
    popupmenu.h
    pluginmoveprocessor.h
    lxqtpanelpluginconfigdialog.h
    config/configpaneldialog.h
    config/configplacement.h
    config/configstyling.h
    config/configpluginswidget.h
    config/addplugindialog.h
)

# using LXQt namespace in the public headers.
set(PUB_HEADERS
    lxqtpanelglobals.h
    pluginsettings.h
    ilxqtpanelplugin.h
    ilxqtpanel.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    windownotifier.cpp
    lxqtpanel.cpp
    lxqtpanelapplication.cpp
    lxqtpanellayout.cpp
    plugin.cpp
    pluginsettings.cpp
    popupmenu.cpp
    pluginmoveprocessor.cpp
    lxqtpanelpluginconfigdialog.cpp
    config/configpaneldialog.cpp
    config/configplacement.cpp
    config/configstyling.cpp
    config/configpluginswidget.cpp
    config/addplugindialog.cpp
)

set(UI
    config/configplacement.ui
    config/configstyling.ui
    config/configpluginswidget.ui
    config/addplugindialog.ui
)

set(LIBRARIES
    lxqt
)

file(GLOB CONFIG_FILES resources/*.conf)

############################################

add_definitions(-DCOMPILE_LXQT_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

if (WITH_SCREENSAVER_FALLBACK)
    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DLXQT_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/lxqt-lockscreen.desktop\"")
endif ()

project(${PROJECT})

set(QTX_LIBRARIES Qt6::Widgets Qt6::Xml Qt6::DBus)

# Translations
lxqt_translate_ts(QM_FILES SOURCES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${PUB_HEADERS}
        ${PRIV_HEADERS}
        ${SOURCES}
        ${UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(SOURCES ${PROJECT_NAME})

add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)

target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF6::WindowSystem
    LayerShellQt::Interface
    ${STATIC_PLUGINS}
    lxqt-panel-backend-common
)

set_property(TARGET ${PROJECT} PROPERTY ENABLE_EXPORTS TRUE)

install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/lxqt)
install(FILES ${PUB_HEADERS} DESTINATION include/lxqt)
install(FILES
    man/lxqt-panel.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== plugin-backlight/CMakeLists.txt ===
set(PLUGIN "backlight")

set(HEADERS
    backlight.h
    sliderdialog.h
)

set(SOURCES
    backlight.cpp
    sliderdialog.cpp
)

set(LIBRARIES
    ${LIBRARIES}
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-customcommand/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
     lxqtcustomcommand.h
     custombutton.h
     lxqtcustomcommandconfiguration.h
+    colorLabel.h
 )
 
 set(SOURCES
@@ -11,6 +12,7 @@
     lxqtcustomcommand.cpp
     custombutton.cpp
     lxqtcustomcommandconfiguration.cpp
+    colorLabel.cpp
 )
 
 set(UIS

=== plugin-directorymenu/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 set(LIBRARIES
     ${LIBRARIES}
-    Qt5Xdg
+    Qt6Xdg
 )
 
 include ("../cmake/BuildPlugin.cmake")

=== plugin-fancymenu/CMakeLists.txt ===
set(PLUGIN "fancymenu")

set(HEADERS
    lxqtfancymenu.h
    lxqtfancymenuconfiguration.h
    lxqtfancymenuwindow.h
    lxqtfancymenuappmap.h
    lxqtfancymenuappmodel.h
    lxqtfancymenucategoriesmodel.h
    lxqtfancymenutypes.h
)

set(SOURCES
    lxqtfancymenu.cpp
    lxqtfancymenuconfiguration.cpp
    lxqtfancymenuwindow.cpp
    lxqtfancymenuappmap.cpp
    lxqtfancymenuappmodel.cpp
    lxqtfancymenucategoriesmodel.cpp
)

set(UIS
    lxqtfancymenuconfiguration.ui
)

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
    Qt6::Xml
    Qt6::DBus
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-mount/CMakeLists.txt ===
set(PLUGIN "mount")

set(HEADERS
    lxqtmountplugin.h
    configuration.h
    button.h
    menudiskitem.h
    popup.h
    actions/deviceaction.h
    actions/deviceaction_info.h
    actions/deviceaction_menu.h
    actions/deviceaction_nothing.h
    actions/ejectaction.h
    actions/ejectaction_optical.h
    actions/ejectaction_nothing.h
)

set(SOURCES
    lxqtmountplugin.cpp
    configuration.cpp
    button.cpp
    menudiskitem.cpp
    popup.cpp
    actions/deviceaction.cpp
    actions/deviceaction_info.cpp
    actions/deviceaction_menu.cpp
    actions/deviceaction_nothing.cpp
    actions/ejectaction.cpp
    actions/ejectaction_optical.cpp
    actions/ejectaction_nothing.cpp
)

set(UIS
    configuration.ui
)

find_package(KF6Solid ${QT_MINIMUM_VERSION} REQUIRED)
set(LIBRARIES Qt6Xdg lxqt-globalkeys KF6::Solid)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-qeyes/CMakeLists.txt ===
set(PLUGIN "qeyes")

set(HEADERS
    qeyes.h
    qeyesimagewidget.h
    qeyesvectorwidget.h
    qeyeswidget.h
    qeyesconfigdialog.h
)

set(SOURCES
    qeyes.cpp
    qeyesimagewidget.cpp
    qeyesvectorwidget.cpp
    qeyeswidget.cpp
    qeyesconfigdialog.cpp
)

set(LIBRARIES
    ${LIBRARIES}
)

add_subdirectory(types)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
    Qt6Xdg
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-sysstat/CMakeLists.txt ===
set(PLUGIN "sysstat")

find_package(SysStat-Qt6 REQUIRED)

set(HEADERS
    lxqtsysstat.h
    lxqtsysstatconfiguration.h
    lxqtsysstatcolours.h
    lxqtsysstatutils.h
)

set(SOURCES
    lxqtsysstat.cpp
    lxqtsysstatconfiguration.cpp
    lxqtsysstatcolours.cpp
    lxqtsysstatutils.cpp
)

set(UIS
    lxqtsysstatconfiguration.ui
    lxqtsysstatcolours.ui
)

set(LIBRARIES sysstat-qt6)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-taskbar/CMakeLists.txt ===
set(PLUGIN "taskbar")

set(HEADERS
    lxqttaskbar.h
    lxqttaskbutton.h
    lxqttaskbarconfiguration.h
    lxqttaskbarplugin.h
    lxqttaskgroup.h
    lxqtgrouppopup.h
)

set(SOURCES
    lxqttaskbar.cpp
    lxqttaskbutton.cpp
    lxqttaskbarconfiguration.cpp
    lxqttaskbarplugin.cpp
    lxqttaskgroup.cpp
    lxqtgrouppopup.cpp
)

set(UIS
    lxqttaskbarconfiguration.ui
)

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    Qt6Xdg
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2 (Closes: #1097336)
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Aug 2025 07:19:24 +0800

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libkf6solid-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.2.4~),
-               liblxqt-dev (>= 2.1.0~),
-               liblxqt-globalkeys-dev (>= 2.1.0~),
-               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
+               liblxqt-globalkeys-dev (>= 2.2.0~),
+               liblxqt-globalkeys-ui-dev (>= 2.2.0~),
                libpulse-dev,
                libsensors-dev [!hurd-any],
                libstatgrab-dev [linux-any],
@@ -34,8 +34,9 @@
                lxqt-menu-data,
                qt6-base-private-dev,
                qt6-svg-dev,
-               qt6-tools-dev
-Standards-Version: 4.7.0
+               qt6-tools-dev,
+               qt6-wayland-private-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
 Homepage: https://github.com/lxqt/lxqt-panel

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    CONF_FLAGS := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    CONF_FLAGS := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO
endif


%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DDOM_PLUGIN=YES \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CONF_FLAGS)

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-panel 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 set(REQUIRED_QT_VERSION "6.6.0")
 set(KF6_MINIMUM_VERSION "6.0.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.2.0")
-set(LXQT_MINIMUM_VERSION "2.2.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.3.0")
+set(LXQT_MINIMUM_VERSION "2.3.0")
 
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt6LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -41,6 +41,11 @@
 find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 find_package(LayerShellQt REQUIRED)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate REQUIRED)
+    find_package(Qt6WaylandClientPrivate REQUIRED)
+endif()
 
 # Patch Version
 set(LXQT_PANEL_PATCH_VERSION 2)

=== debian/changelog ===
lxqt-panel (2.3.2-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.3.2.
  * d/install: Update install file.
  * d/copyright: Update copyright.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Requires-Root.
  * d/control: Suggests qtxdg-tools (Closes: #1121329)
  * d/watch: Upgrade to version 5.

  [ Joel Orón Valiente ]
  * debian/gbp.conf: Drop compression so salsa CI can build.
  * debian/copyright: Add myself.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 05 Jan 2026 00:15:53 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libdbusmenu-lxqt-dev,
@@ -36,11 +35,10 @@
                qt6-svg-dev,
                qt6-tools-dev,
                qt6-wayland-private-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
 Homepage: https://github.com/lxqt/lxqt-panel
-Rules-Requires-Root: no
 
 Package: lxqt-panel
 Architecture: any
@@ -54,7 +52,8 @@
             lxqt-session,
             pavucontrol-qt | pavucontrol,
             qlipper
-Suggests: lxqt | lxqt-core
+Suggests: lxqt | lxqt-core,
+          qtxdg-tools
 Description: LXQt desktop panel
  This package includes the LXQt panel, which serves as the desktop panel
  for the LXQt desktop environment. It provides a user-friendly interface
